de.esprit.common.type

## Interface Executable

- All Known Subinterfaces:
    AsyncExecutable<C>, AsyncTask<C>, JournalTask<S>, RemoteTask<S>, RemoteTaskEventReceiver<C>, WorkflowTask<C>
  All Known Implementing Classes:
    AbstractArchiveExtractor, AbstractArchiver, AbstractAsciiDownloadTask, AbstractAsciiParser, AbstractAsciiParserWFT, AbstractAsyncExecutable, AbstractAsyncTask, AbstractBatchTask, AbstractBinaryDownloadTask, AbstractClientEDT, AbstractClientTask, AbstractClientWFT, AbstractClientWorkflow, AbstractDatabaseBatchTask, AbstractDataParserWFT, AbstractDBTool, AbstractDownloadTask, AbstractEventDrivenWFT, AbstractFileStreamWFT, AbstractJavaCommandWFT, AbstractJournalOsProcessTask, AbstractJournalTask, AbstractOsProcessTask, AbstractOsProcessWFT, AbstractPathTreeNodeCreator, AbstractPathTreeNodeUpdater, AbstractRemoteOsProcessTask, AbstractRemoteTask, AbstractServerTask, AbstractStreamParserWFT, AbstractSwingTask, AbstractTaskOptionDialogWFT, AbstractTaskOptionWFT, AbstractTimerTask, AbstractTransferService, AbstractWFT, AbstractWorkflow, AbstractZipArchiverWFT, AgentExecutorTask, AgentWatchDogTask, AppLaunchPrefsWriter, AppLaunchTask, AppLaunchTask.MyNativeProcessTask, ArchiveConfigDialogWFT, ArchiveExtractTask, ArchiveExtractWFT, ArchiveExtractWorkflow, ArchiveListTask, ArchiveListWFT, ArchiveListWorkflow, AsciiParser, AsciiParserTask, AsciiWriter, AsyncAgentExecutorAdapter, BatchTaskConfigWriter, CheckWorkingDirectoryWFT, CleanupWorkingDirectoryWFT, ClientCommandTask, CoClientReconnectorTask, CoServerBindTask, CreateZipArchiveWFT, CreateZipArchiveWorkflow, CredentialWriter, DatabaseConfigWriter, DataParser, DataParserTask, DataWriter, DBExecute, DBLoadTask, DBOCompiler, DBOHtmlWriter, DBOIntrospector, DBOWriter, DBOXmlReader, DBOXmlWriter, DBSelect, EspritDBCreate, ExecutorTask, FileDownloadService, FileDownloadWFT, FileDownloadWorkflow, FileDownstreamService, FileNameInputWFT, FileTransferClientTask, FileTransferTask, FileTransferWFT, FileUploadService, FileUploadWFT, FileUploadWorkflow, GroupMemberWriter, GroupWriter, GuiReconnectorTask, InputFileChooserWFT, JavaAppDescriptorWriter, JavaCommandTask, LogCleanupBatchTask, MessageReceiveTask, NdfParser, NdfWriter, NetSuiteKeyGenerator, NetworkConfigWriter, OutputFileChooserWFT, PathTreeDirectoryCreator, PathTreeFileCreator, PathTreeNodeMover, PermissionConfigWriter, ProgressWindowExecutorTask, RemoteArchiveExtractEDT, RemoteArchiveExtractTask, RemoteArchiveExtractWFT, RemoteArchiveExtractWorkflow, RemoteArchiveListEDT, RemoteArchiveListTask, RemoteArchiveListWFT, RemoteArchiveListWorkflow, RemoteJavaCommandTask, RequestServiceTask, ServerKiller, SimpleAsciiParser, StdinReaderTask, StringTagWriter, SwingExecutorTask, TagWriter, TarArchiver, TarExtractor, TarGZArchiver, TarLister, TaskCollection, TestBatchTask, TimestampWriter, TransferServiceTask, UserWriter, WatchDogTask, XmlDataParser, XmlTagWriter, ZipArchiver, ZipArchiverTask, ZipExtractor, ZipLister, ZipSoftwareExtractor

      public interface Executable

  This should be implemented by all executable classes.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Contains the code to be executed.

- - ### Method Detail

    - #### execute

          void execute()
                       throws java.lang.Exception

      Contains the code to be executed. This method is to be called in order to execute the code synchronously. In this case no other execution thread is involved.
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.